Subject: [v4tov6transition] some questions about the address assignment

From: huang cancan <[email-masked]>
Date: Wed, 25 Aug 2010 17:02:19 +0800

hi, because of the mail system problem of @gsta.com, I send the following
mail instead of GuoLiang Yang to all of you.
------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Hi all,

Thanks for the advices from the group. After digesting the references
mentioned in the mails, I think we should detailed our questions one by one.

The first question is address:

1. How to decide the scale of the IPv6 address space we need? For example,
China telecom will have 100+ millions subscribers in the next 3 years, and
M2M service will come soon, so we should apply for /24 or shorter?

2. How to choice the address allocation schemes in home network? Home
gateway should be assigned multiple /64 prefixes, each /64 for a service,
for example, 2001:1::/64 for PC, 2001:2::/64 for TV. Or home gateway is
assigned a single shorter prefix, such as /56 suggested by BBF?

3. Home network should be assigned a fixed prefix or a dynamic prefix? How
about mobile devices?

4. What kind of address allocation schemes should be deployed in enterprise
networks? Provider aggregatable address, provider independent address or
local address? If PA address, how to avoid renumbering when the enterprise
network change site or provider? If PI address, how to reduce routing table?
If local address, how to make sure all of the computers can access internet,
NAT66 is a good choice or not?

5. If I have a shorter prefix than /32, may be /24, and assign /56 to user,
how to use the bits before /56 and the bits after /56? Home gateway how to
deliver /64 or /128 to host?

How and why?

Regards,

Yang Guoliang

China Telecom

Tel: 020-38639615

Mobile: 13316090336

MSN/QQ: [email-masked]

-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

---

From: "Yiu L. Lee" <[email-masked]>
Date: Wed, 25 Aug 2010 09:51:25 -0400

HI Cancan and Guoliang,

On 8/25/10 5:02 AM, "huang cancan" <[email-masked]> wrote:

> hi, because of the mail system problem of @gsta.com <http://gsta.com> , I send
> the following mail instead of GuoLiang Yang to all of you.
> ------------------------------------------------------------------------------
> ------------------------------------------------------------------------------
> ------------------------------------
> Hi all,
> China telecom will have 100+ millions subscribers in the next 3 years, and M2M
> service will come soon, so we should apply for /24 or shorter?
        [YL] Since IPv6 address space is large, you can start with a longer
prefix and grow. If the APNIC¹s policy allows you to get a /24, you can ask
for it.

> 2. How to choice the address allocation schemes in home network? Home gateway
> should be assigned multiple /64 prefixes, each /64 for a service, for example,
> 2001:1::/64 for PC, 2001:2::/64 for TV. Or home gateway is assigned a single
> shorter prefix, such as /56 suggested by BBF?
> [YL] This is internal policy to the operator. From the CPE¹s perspectives,
> most suggest to give at least a /56 to a home network. Then the home CPE can
> decide. For example: the CPE can give one /64 for each service, or it can put
> all services in one /64. There is no standard how you should do it.
> 
> [YL] I wish to have static prefix, but there are challenges to this wish. It
> requires the network to remember the prefix-home association. It is doable but
> highly depends on how the ISP¹s backend system to handle the provisioning.
> 
> networks? Provider aggregatable address, provider independent address or local
> address? If PA address, how to avoid renumbering when the enterprise network
> change site or provider? If PI address, how to reduce routing table? If local
> address, how to make sure all of the computers can access internet, NAT66 is a
> good choice or not?
> [YL] I think this is more like a business decision than technology decision.
> An ISP can definitely offer service to give enterprises an IP prefix from its
> own aggregate. However, some enterprise won¹t like it because of the renumber
> problem you mentioned by switching provider.
> 
> For the NAT66 part, Dan Wing has an excellent presentation in last IETF. You
> can download and read the presentation.
> http://www.ietf.org/proceedings/78/slides/v6ops-3.pdf
> 
> [YL] I don¹t 100% understand the first question. For the bits from 32 - 56,
> the ISP should mange them like the way we manage IPv4 addresses today. After A
> /56 given to the CPE, the CPE can fill up the bits with ³0² or random numbers
> if it can¹t use up all the 256 networks. I suggest to bring this question to
> the next CPE draft.
> 
> For the second question, the home CPE can use dhcpv6 or autoconfig. More
> discussions can be found in the v6os-cpe draft.
> 
> B.R.
> Yiu
>  
> 
> Regards,
> Yang Guoliang
> China Telecom
> Tel: 020-38639615
> Mobile: 13316090336
> MSN/QQ: [email-masked]
> ------------------------------------------------------------------------------
> ------------------------------------------------------------------------------
> -------------------------------------
> 
> 
> _______________________________________________
> v4tov6transition mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/v4tov6transition

---

From: Tina TSOU <[email-masked]>
Date: Wed, 25 Aug 2010 22:10:50 +0800

B. R.
Tina
http://tinatsou.weebly.com/index.html

On Aug 25, 2010, at 9:51 PM, Yiu L. Lee wrote:

>> hi, because of the mail system problem of @gsta.com <http:// 
>> gsta.com> , I send the following mail instead of GuoLiang Yang to  
>> all of you.
>> Thanks for the advices from the group. After digesting the  
>> references mentioned in the mails, I think we should detailed our  
>> questions one by one.
>> How to decide the scale of the IPv6 address space we need? For  
>> example, China telecom will have 100+ millions subscribers in the  
>> next 3 years, and M2M service will come soon, so we should apply  
>> for /24 or shorter?
>        [YL] Since IPv6 address space is large, you can start with a  
> longer prefix and grow. If the APNIC’s policy allows you to get a / 
> 24, you can ask for it.
[Tina] I talked to Bert, who works in RIPE now, there is no /24 any  
more.
>
>> 2. How to choice the address allocation schemes in home network?  
>> Home gateway should be assigned multiple /64 prefixes, each /64 for  
>> a service, for example, 2001:1::/64 for PC, 2001:2::/64 for TV. Or  
>> home gateway is assigned a single shorter prefix, such as /56  
>> suggested by BBF?
>> [YL] This is internal policy to the operator. From the CPE’s  
>> perspectives, most suggest to give at least a /56 to a home  
>> network. Then the home CPE can decide. For example: the CPE can  
>> give one /64 for each service, or it can put all services in one / 
>> 64. There is no standard how you should do it.
>>
>> 3. Home network should be assigned a fixed prefix or a dynamic  
>> prefix? How about mobile devices?
>> [YL] I wish to have static prefix, but there are challenges to this  
>> wish. It requires the network to remember the prefix-home  
>> association. It is doable but highly depends on how the ISP’s  
>> backend system to handle the provisioning.
>>
>> 4. What kind of address allocation schemes should be deployed in  
>> enterprise networks? Provider aggregatable address, provider  
>> independent address or local address? If PA address, how to avoid  
>> renumbering when the enterprise network change site or provider? If  
>> PI address, how to reduce routing table? If local address, how to  
>> make sure all of the computers can access internet, NAT66 is a good  
>> choice or not?
>> [YL] I think this is more like a business decision than technology  
>> decision. An ISP can definitely offer service to give enterprises  
>> an IP prefix from its own aggregate. However, some enterprise won’t  
>> like it because of the renumber problem you mentioned by switching  
>> provider.
>>
>> For the NAT66 part, Dan Wing has an excellent presentation in last  
>> IETF. You can download and read the presentation. http://www.ietf.org/proceedings/78/slides/v6ops-3.pdf
>>
>> 5. If I have a shorter prefix than /32, may be /24, and assign /56  
>> to user, how to use the bits before /56 and the bits after /56?  
>> Home gateway how to deliver /64 or /128 to host?
>> How and why?
>> [YL] I don’t 100% understand the first question. For the bits from  
>> 32 - 56, the ISP should mange them like the way we manage IPv4  
>> addresses today. After A /56 given to the CPE, the CPE can fill up  
>> the bits with “0” or random numbers if it can’t use up all the 256  
>> networks. I suggest to bring this question to the next CPE draft.
>>
>> For the second question, the home CPE can use dhcpv6 or autoconfig.  
>> More discussions can be found in the v6os-cpe draft.
>>
>> B.R.
>> Yiu
>>
>>
>> Regards,
>> Yang Guoliang
>> China Telecom
>> Tel: 020-38639615
>> Mobile: 13316090336
>> MSN/QQ: [email-masked]